Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.inspection
Interface Inspection

All Known Implementing Classes:
  BiasInspection, InputsInspection, WeightsInspection

    public interface Inspection

Method Summary
`java.lang.Object[][]` | `getComponent()` Method to get the inspectable values of the Inspectable class.
`java.lang.Object[]` | `getNames()` Method to get the names of each column
`java.lang.String` | `getTitle()` Method to get the title of the object for display in the InspectionFrame title bar.
`boolean` | `rowNumbers()` Method to get the necessity to display a column containing the row's numbers for these inspection values.
`void` | `setComponent(java.lang.Object[][] newValues)` Sets the array of values for this component

Method Detail

### getComponent

    java.lang.Object[][] getComponent()

  Method to get the inspectable values of the Inspectable class.

  Returns:
    representation of the Inspectable class data.
  See Also:
    `org.joone.Inspectable`

### getTitle

    java.lang.String getTitle()

  Method to get the title of the object for display in the InspectionFrame title bar.

  Returns:
    title of the object.
  See Also:
    `org.joone.InspectionFrame`

### rowNumbers

    boolean rowNumbers()

  Method to get the necessity to display a column containing the row's numbers for these inspection values.

  Returns:
    true if the rows numbers must be displayed

### getNames

    java.lang.Object[] getNames()

  Method to get the names of each column

  Returns:
    the columns' names

### setComponent

    void setComponent(java.lang.Object[][] newValues)

  Sets the array of values for this component

  Parameters:
    `newValues` - Array of new values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net